openSUSE Security Update : samba (openSUSE-2017-12)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for samba fixes the following issues :

Security issues fixed :

- CVE-2016-2125: Don't send delegated credentials to all
servers. (bsc#1014441).

- CVE-2016-2126: Denial of service due to a client
triggered crash in the winbindd parent process.
(bsc#1014442).

- CVE-2016-2123: Heap-based Buffer Overflow Remote Code
Execution Vulnerability. (bsc#1014437). This component
is not built into our packages, so we are not affected.

Non security issues fixed :

- s3/client: obey 'disable netbios' smb.conf param, don't
connect via NBT port; (bsc#1009085)

This update was imported from the SUSE:SLE-12-SP2:Update update
project.

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1009085
https://bugzilla.opensuse.org/show_bug.cgi?id=1014437
https://bugzilla.opensuse.org/show_bug.cgi?id=1014441
https://bugzilla.opensuse.org/show_bug.cgi?id=1014442

Solution :

Update the affected samba packages.

Risk factor :

Medium

Family: SuSE Local Security Checks

Nessus Plugin ID: 96294 ()

Bugtraq ID:

CVE ID: CVE-2016-2123
CVE-2016-2125
CVE-2016-2126

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now